summaryrefslogtreecommitdiffstats
path: root/network/heimdal/doinst.sh
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-11 15:01:28 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 15:01:28 +0200
commite7a9c4461b80c1b9337f2d97c965ad181e0ba6a5 (patch)
treef776d67f412a5ad020e2ce8ba1209838b2f0bebd /network/heimdal/doinst.sh
parent557baff128bdce0fdc485c15f1be1f99e60004c9 (diff)
downloadslackbuilds-e7a9c4461b80c1b9337f2d97c965ad181e0ba6a5.tar.gz
slackbuilds-e7a9c4461b80c1b9337f2d97c965ad181e0ba6a5.tar.xz
network/heimdal: Initial import
Diffstat (limited to 'network/heimdal/doinst.sh')
-rw-r--r--network/heimdal/doinst.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/network/heimdal/doinst.sh b/network/heimdal/doinst.sh
new file mode 100644
index 0000000000..0b5f0905ad
--- /dev/null
+++ b/network/heimdal/doinst.sh
@@ -0,0 +1,31 @@
+# Add heimdal libs to the library search path
+if ! grep -q '^/usr/heimdal/lib$' etc/ld.so.conf ; then
+ echo "/usr/heimdal/lib" >> etc/ld.so.conf
+ if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
+fi
+
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/krb5.conf-sample.new
+config etc/profile.d/heimdal.sh.new
+config etc/profile.d/heimdal.csh.new
+config etc/rc.d/rc.heimdal.new
+config var/heimdal/kdc.conf-sample.new
+
+# Any user should be able to ``kinit'' at least
+if [ ! -x etc/profile.d/heimdal.sh ]; then
+ chmod +x etc/profile.d/heimdal.sh
+ chmod +x etc/profile.d/heimdal.csh
+fi
+